DdlUtils
  1. DdlUtils
  2. DDLUTILS-103

Upgrade version of commons-betwixt in pom.xml

    Details

    • Type: Improvement Improvement
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.0 RC1
    • Labels:
      None

      Description

      The pom.xml for building with Maven has common-betwixt at version 0.7 but it should be changed to 0.8-dev to match the version checked into the lib directory:

      <dependency>
      <groupId>commons-betwixt</groupId>
      <artifactId>commons-betwixt</artifactId>
      <version>0.8-dev</version>
      </dependency>

      Certain problems arise when using DdlUtils with an older version of commons-betwixt. For example, the <unique> element of the schema gets mistakenly added as a <column>.

        Activity

        Thomas Dudziak made changes -
        Fix Version/s 1.0 RC1 [ 12312482 ]
        Thomas Dudziak made changes -
        Status Open [ 1 ] Resolved [ 5 ]
        Resolution Fixed [ 1 ]
        Thomas Dudziak made changes -
        Field Original Value New Value
        Component/s Core [ 12310804 ]
        Type Bug [ 1 ] Improvement [ 4 ]
        Ken Weiner created issue -

          People

          • Assignee:
            Thomas Dudziak
            Reporter:
            Ken Weiner
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development